#!/bin/sh -e

. /usr/share/debconf/confmodule

if [ "$1" = "install" ]; then
    db_get mirror/http/proxy || true
    if [ "$RET" ]; then
	echo -n "Setting Proxy on GNOME ... "
	USER=$(echo "$RET" | sed -r 's/http\:\/\/((\w+)(:\w+)?@)?([A-Za-z0-9._]+):?(\d+)?$/\2/g')
	PASS=$(echo "$RET" | sed -r 's/http\:\/\/((\w+)(:\w+)?@)?([A-Za-z0-9._]+):?(\d+)?$/\3/g')
	HOST=$(echo "$RET" | sed -r 's/http\:\/\/((\w+)(:\w+)?@)?([A-Za-z0-9._]+):?(\d+)?$/\4/g')
	PORT=$(echo "$RET" | sed -r 's/http\:\/\/((\w+)(:\w+)?@)?([A-Za-z0-9._]+):?(\d+)?$/\5/g')

	if [ "$USER" ]; then
	    AUTH=true
	else
	    AUTH=false
	fi

	while read line; do
	    gconftool-2 \
		--direct \
		--config-source xml:readwrite:/etc/gconf/gconf.xml.defaults \
		$line
	done <<EOF
--type string --set /system/http_proxy/authentication_user $USER
--type string --set /system/http_proxy/authentication_password $PASS
--type string --set /system/http_proxy/host $HOST
--type string --set /system/http_proxy/port $PORT
--type boolean --set /system/http_proxy/use_http_proxy true
--type boolean --set /system/http_proxy/use_authentication $AUTH

EOF
	echo "done"
    fi
fi

echo -n "Changing GNOME settings for Debian-BR-CDD project... "
while read line; do
    gconftool-2 \
	--direct \
	--config-source xml:readwrite:/etc/gconf/gconf.xml.defaults \
	$line
done <<EOF
--type string --set /desktop/gnome/background/picture_filename /usr/share/images/Debian-BR-CDD/debian-br-cdd.png
--type string --set /desktop/gnome/interface/gtk_theme Debian-BR-CDD
--type string --set /desktop/gnome/interface/icon_theme Debian-BR-CDD
--type string --set /apps/metacity/general/theme Debian-BR-CDD
--type boolean --set /apps/gnome-terminal/profiles/Default/use_theme_colors false
--type string --set /apps/gnome-terminal/profiles/Default/background_type transparent
--type float --set /apps/gnome-terminal/profiles/Default/background_darkness 0.60
--type string --set /apps/gnome-terminal/profiles/Default/foreground_color #FFFFFF
--type string --set /apps/gnome-terminal/profiles/Default/background_color #000000
--type string --set /apps/epiphany/general/homepage http://debian-br-cdd.alioth.debian.org
--type string --set /apps/gnome-session/options/splash_image /usr/share/debian-br-cdd/splash.png
EOF
echo "done"
